classification
Title: py3k: corrections for test_subprocess on windows
Type: Stage:
Components: Interpreter Core, Windows Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, christian.heimes, gvanrossum
Priority: low Keywords: patch

Created on 2007-08-28 22:33 by amaury.forgeotdarc, last changed 2007-11-09 01:36 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
getargs.diff amaury.forgeotdarc, 2007-08-28 22:33
subprocess.diff amaury.forgeotdarc, 2007-08-28 22:34
stdout.diff amaury.forgeotdarc, 2007-08-28 22:34
Messages (4)
msg55384 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2007-08-28 22:33
I join three patches for py3k on Windows:

1/ getargs.diff adds the 'Z' and 'Z#' format specifiers for
PyArg_ParseTuple. They mimic z and z# for unicode strings, by accepting
a Unicode or None (in which case the Py_UNICODE* pointer is set to
NULL). With doc and tests.

2/ subprocess.diff converts file PC/_subprocess.c to unicode. We use the
Unicode version of the win32 api (and Z conversion from previous patch)

3/ stdout.diff: sys.stdout must not convert the line endings, Windows
already does it. 
Without this patch, when redirecting the output of python, the file
contains \r\r\n for each line. (test_subprocess did catch this)
msg55385 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2007-08-28 22:34
Did I say that test_subprocess now passes on windows?
msg55429 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-29 18:39
Committed revision 57669.
I have no way to test this so you'll have to watch the buildbot.

However, I didn't include the patch to _fileio.c that prevents closing
fds 0, 1, 2; I think that's the wrong thing to do and if it causes
problems it needs to be addressed in a different way.
msg57293 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-09 01:36
The patch to _fileio was implemented in a different way and applied to
the py3k branch a while ago.
History
Date User Action Args
2007-11-09 01:36:47christian.heimessetstatus: open -> closed
nosy: + christian.heimes
resolution: accepted -> fixed
messages: + msg57293
2007-09-17 07:38:01jafosetpriority: low
2007-09-02 20:09:55loewissetkeywords: + patch
2007-08-29 18:39:08gvanrossumsetresolution: accepted
messages: + msg55429
nosy: + gvanrossum
2007-08-28 22:34:52amaury.forgeotdarcsetfiles: + stdout.diff
2007-08-28 22:34:11amaury.forgeotdarcsetfiles: + subprocess.diff
messages: + msg55385
2007-08-28 22:33:09amaury.forgeotdarccreate